#
# spec file for package rubygem-actionview-7.0
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-actionview-7.0
Version:        7.0.8.6
Release:        1.2
%define mod_name actionview
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -7.0
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rendering framework putting the V in MVC (part of Rails)
License:        MIT

%description
Simple, battle-tested conventions and helpers for building web pages.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- ## Rails 7.0.8.6 (October 23, 2024) ##
  * No changes.
  [#]# Rails 7.0.8.5 (October 15, 2024) ##
  * No changes.
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- ## Rails 7.0.8.4 (June 04, 2024) ##
  * No changes.
  [#]# Rails 7.0.8.3 (May 17, 2024) ##
  * No changes.
  [#]# Rails 7.0.8.2 (May 16, 2024) ##
  * No changes.
  [#]# Rails 7.0.8.1 (February 21, 2024) ##
  * No changes.
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- ## Rails 7.0.8 (September 09, 2023) ##
  * Fix `form_for` missing the hidden `_method` input for models with a
    namespaced route.
  * Hartley McGuire*
  * Fix `render collection: @records, cache: true` inside `jbuilder` templates
    The previous fix that shipped in `7.0.7` assumed template fragments are always strings,
    this isn't true with `jbuilder`.
  * Jean Boussier*
  [#]# Rails 7.0.7.2 (August 22, 2023) ##
  * No changes.
  [#]# Rails 7.0.7.1 (August 22, 2023) ##
  * No changes.
  [#]# Rails 7.0.7 (August 09, 2023) ##
  * Fix `render collection: @records, cache: true` to cache fragments as bare strings
    Previously it would incorrectly cache them as Action View buffers.
  * Jean Boussier*
  * Don't double-encode nested `field_id` and `field_name` index values
    Pass `index: @options` as a default keyword argument to `field_id` and
    `field_name` view helper methods.
  * Sean Doyle*
  [#]# Rails 7.0.6 (June 29, 2023) ##
  * No changes.
* Tue Jun 27 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 7.0.5.1
  * https://rubyonrails.org/2023/6/26/Rails-Versions-7-0-5-1-6-1-7-4-have-been-released
* Mon Jun 26 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 7.0.5
  * https://rubyonrails.org/2023/5/24/Rails-7-0-5-has-been-released
* Fri Apr 21 2023 Marcus Rueckert <mrueckert@suse.de>
- Update to version 7.0.4.3:
  https://rubyonrails.org/2023/3/13/Rails-7-0-4-3-and-6-1-7-3-have-been-released
  https://rubyonrails.org/2023/1/24/Rails-7-0-4-2-and-6-1-7-2-have-been-released
* Thu Feb 23 2023 Valentin Lefebvre <valentin.lefebvre@suse.com>
  updated to version 7.0.4.1
  see installed CHANGELOG.md
  [#]# Rails 7.0.4.1 (January 17, 2023) ##
  * No changes.
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.4
  see installed CHANGELOG.md
  [#]# Rails 7.0.4 (September 09, 2022) ##
  * Guard against `ActionView::Helpers::FormTagHelper#field_name` calls with nil
    `object_name` arguments. For example:
    ```erb
    <%%= fields do |f| %%>
    <%%= f.field_name :body %%>
    <%% end %%>
    ```
  * Sean Doyle*
  * Strings returned from `strip_tags` are correctly tagged `html_safe?`
    Because these strings contain no HTML elements and the basic entities are escaped, they are safe
    to be included as-is as PCDATA in HTML content. Tagging them as html-safe avoids double-escaping
    entities when being concatenated to a SafeBuffer during rendering.
    Fixes [rails/rails-html-sanitizer#124](https://github.com/rails/rails-html-sanitizer/issues/124)
  * Mike Dalessio*
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.3.1
  see installed CHANGELOG.md
  [#]# Rails 7.0.3.1 (July 12, 2022) ##
  * No changes.
* Sun May 15 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 7.0.3
  * Ensure models passed to `form_for` attempt to call `to_model`.
  * Sean Doyle*
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.2.4
  see installed CHANGELOG.md
  [#]# Rails 7.0.2.4 (April 26, 2022) ##
  * Fix and add protections for XSS in `ActionView::Helpers` and `ERB::Util`.
    Escape dangerous characters in names of tags and names of attributes in the
    tag helpers, following the XML specification. Rename the option
    `:escape_attributes` to `:escape`, to simplify by applying the option to the
    whole tag.
  * Álvaro Martín Fraguas*
* Thu Mar 10 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 7.0.2.3
  * no changes
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.2.2
  see installed CHANGELOG.md
  [#]# Rails 7.0.2.2 (February 11, 2022) ##
  * No changes.
  [#]# Rails 7.0.2.1 (February 11, 2022) ##
  * No changes.
  [#]# Rails 7.0.2 (February 08, 2022) ##
  * Ensure `preload_link_tag` preloads JavaScript modules correctly.
  * Máximo Mussini*
  * Fix `stylesheet_link_tag` and similar helpers are being used to work in objects with
    a `response` method.
  * dark-panda*
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.1
  see installed CHANGELOG.md
  [#]# Rails 7.0.1 (January 06, 2022) ##
  * Fix `button_to` to work with a hash parameter as URL.
  * MingyuanQin*
  * Fix `link_to` with a model passed as an argument twice.
  * Alex Ghiculescu*
* Mon Dec 27 2021 Manuel Schnitzer <mschnitzer@suse.com>
- Don't limit building to specific ruby versions
* Tue Dec 21 2021 Manuel Schnitzer <mschnitzer@suse.com>
- Rails 7.0 has been released
  https://edgeguides.rubyonrails.org/7_0_release_notes.html
* Sun Dec 12 2021 Marcus Rueckert <mrueckert@suse.de>
- initial package
